Bug 146237 - Fail with installation initrd.img (bad gzip magic number)
Fail with installation initrd.img (bad gzip magic number)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 04:45 EST by Fabio Bettoni
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Bettoni 2005-01-26 04:45:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322; .NET CLR 1.0.3705)

Description of problem:
I'm trying to install Fedora-core development on a HP rx4640 from 
network.

DHCP and tftp are up and running with the following files:
/tftpboot/rx4640
/tftpboot/rx4640/vmlinuz
/tftpboot/rx4640/initrd.img
/tftpboot/rx4640/elilo.efi
/tftpboot/rx4640/elilo.conf

elilo.conf contains:
image=vmlinuz
   label=linux
   initrd=initrd.img
   root=/dev/ram0

vmlinuz is loaded and initializing and after a while is complaining 
that loading initramfs there is a bad magic gzip number and could be 
a inird image.
boot process continue and stops with a kernel panic for root file 
system missing.


I tried also to do the following:
create a file with a 10MB ext2 filesystem, uncpio content of 
initrd.img in this filesystem, gzip it and name it initrd.img.

The boot process load installation program and ask me installation 
method. I choose NFS, configure network and give NFS host and path.
The installation program complains that anaconda tree does not match 
boot media.


thank you


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure tftp and DHCP with files downloaded from 
images/pxeboot/* and elilo.conf described above
2. Boot from Network
    

Additional info:
Comment 1 Fabio Bettoni 2005-01-27 03:55:51 EST
To convert from downloaded initramfs to "working" initrd image I use 
the following script:
---------------------
#!/bin/sh
rm -f initrd initrd.gz
dd if=/dev/zero of=initrd bs=10000000 count=1
/sbin/mke2fs -F -m0 initrd
mount -t ext2 -o loop initrd /mnt
gzip -dc initrd.img |(cd /mnt ; cpio -i )
umount /mnt
gzip -9 initrd
---------------------

With generated initrd file I can start setup process but after loading
netstg2.img, hdlist and comps.xml  and answering all installation 
questions it stops checking for dependencies.

Fabio
Comment 2 Fabio Bettoni 2005-02-16 04:26:50 EST
Hi, I'm trying with new vmlinuz/initrd.img files and i have the same 
result. Now I configured console only on MessageProcessor and I can 
grab kernel output.

Loading.: Core LAN Gb A                                             
Running LoadFile()

CLIENT MAC ADDR: 00 30 6E 5D D8 50 
CLIENT IP: 10.224.72.123  MASK: 255.255.255.0  DHCP IP: 10.224.72.120
GATEWAY IP: 10.224.72.1 

TSize.Running LoadFile()

Starting: Core LAN Gb A

ELILO boot: 
Uncompressing Linux... done
Loading initrd initrd.img...done
Linux version 2.6.10-1.1142_FC4 (bhcompile@natasha.build.redhat.com) 
(gcc version 3.4.3 20050209 (Red Hat 3.4.3-19)) #1 SMP Mon Feb 14 
22:19:05 EST 2005
EFI v1.10 by HP: SALsystab=0x3fe88000 ACPI 2.0=0x3fc9e000 
SMBIOS=0x3fe8a000 HCDP=0x3fe82000
booting generic kernel on platform hpzx1
PCDP: v0 at 0x3fe82000
Early serial console at MMIO 0x84053000 (options '9600n8')
efi.trim_top: ignoring 4KB of memory at 0x0 due to granule hole at 0x0
efi.trim_top: ignoring 636KB of memory at 0x1000 due to granule hole 
at 0x0
efi.trim_bottom: ignoring 15360KB of memory at 0x100000 due to 
granule hole at 0x0
Initial ramdisk at: 0xe0000040fd8eb000 (6541312 bytes)
SAL 3.1: HP version 3.10
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
Virtual mem_map starts at 0xa0007fffc7200000
Built 1 zonelists
Kernel command line: BOOT_IMAGE=net0:rx4640/vmlinuz root=/dev/ram0
PID hash table entries: 4096 (order: 12, 131072 bytes)
Console: colour VGA+ 80x25
Memory: 4132096k/4154976k available (5671k code, 37488k reserved, 
2306k data, 416k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024 (order: 0, 16384 bytes)
Boot processor id 0x0/0x0
task migration cache decay timeout: 10 msecs.
CPU 1: synchronized ITC with CPU 0 (last diff -31 cycles, maxerr 716 
cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.80 BogoMIPS).
checking if image is initramfs...it isn't (bad gzip magic numbers); 
looks like an initrd
Freeing initrd memory: 6384kB freed
NET: Registered protocol family 16
ACPI: Subsystem revision 20050125
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
ACPI: PCI Root Bridge [PCI1] (00:20)
ACPI: PCI Root Bridge [PCI2] (00:40)
ACPI: PCI Root Bridge [PCI4] (00:80)
ACPI: PCI Root Bridge [PCI5] (00:a0)
ACPI: PCI Root Bridge [PCI6] (00:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnPACPI: Alloc type : 6 not handle
pnp: PnPACPI: METHOD_NAME__CRS failure for HWP0001
pnp: PnP ACPI: found 1 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
** PCI interrupts are no longer routed automatically.  If this
** causes a device to stop working, it is probably because the
** driver failed to call pci_enable_device().  As a temporary
** workaround, the "pci=routeirq" argument restores the old
** behavior.  If this argument makes the device work again,
** please email the output of "lspci" to bjorn.helgaas@hp.com
** so I can fix the driver.
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 
bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1108545745.991:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 8612590FB14BF5FA
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
EFI Time Services Driver v0.4
Linux agpgart interface v0.100 (c) Dave Jones
[drm] Initialized drm 1.0.0 20040925
Serial: 8250/16550 driver $Revision: 1.90 $ 32 ports, IRQ sharing 
enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
ttyS0 at MMIO 0x84054000 (irq = 49) is a 16550A
ACPI: PCI interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
CMD649: IDE controller at PCI slot 0000:00:03.0
GSI 21 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI interrupt 0000:00:03.0[A] -> GSI 21 (level, low) -> IRQ 50
CMD649: chipset revision 2
CMD649: 100% native mode on irq 50
    ide0: BM-DMA at 0x0e00-0x0e07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x0e08-0x0e0f, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST DVD+RW GCA-4040N, ATAPI CD/DVD-ROM drive
ide0 at 0xe18-0xe1f,0xe26 on irq 50
hda: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, DMA
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
EFI Variables Facility v0.08 2004-May-17
NET: Registered protocol family 2
IP: routing cache hash table of 65536 buckets, 1024Kbytes
TCP established hash table entries: 2097152 (order: 11, 33554432 
bytes)
TCP bind hash table entries: 65536 (order: 6, 1048576 bytes)
TCP: Hash tables configured (established 2097152 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-
block(1,0)

Comment 3 Fabio Bettoni 2005-02-16 04:46:07 EST
This is the result I get recreating the initrd image from initramfs.
In this case I don't get any other output on ManagementProcessor and 
I proceed with graphic installation on PCI-VGA adapter, but it fails 
checking on dependencies.

Loading.: Core LAN Gb A                                             
Running LoadFile()

CLIENT MAC ADDR: 00 30 6E 5D D8 50 
CLIENT IP: 10.224.72.123  MASK: 255.255.255.0  DHCP IP: 10.224.72.120
GATEWAY IP: 10.224.72.1 

TSize.Running LoadFile()

Starting: Core LAN Gb A

ELILO boot: 
Uncompressing Linux... done
Loading initrd initrd.gz...done
Linux version 2.6.10-1.1142_FC4 (bhcompile@natasha.build.redhat.com) 
(gcc version 3.4.3 20050209 (Red Hat 3.4.3-19)) #1 SMP Mon Feb 14 
22:19:05 EST 2005
EFI v1.10 by HP: SALsystab=0x3fe88000 ACPI 2.0=0x3fc9e000 
SMBIOS=0x3fe8a000 HCDP=0x3fe82000
booting generic kernel on platform hpzx1
PCDP: v0 at 0x3fe82000
Early serial console at MMIO 0x84053000 (options '9600n8')
efi.trim_top: ignoring 4KB of memory at 0x0 due to granule hole at 0x0
efi.trim_top: ignoring 636KB of memory at 0x1000 due to granule hole 
at 0x0
efi.trim_bottom: ignoring 15360KB of memory at 0x100000 due to 
granule hole at 0x0
Initial ramdisk at: 0xe0000040fd8e0000 (6586368 bytes)
SAL 3.1: HP version 3.10
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
Virtual mem_map starts at 0xa0007fffc7200000
Built 1 zonelists
Kernel command line: BOOT_IMAGE=net0:rx4640/vmlinuz root=/dev/ram0
PID hash table entries: 4096 (order: 12, 131072 bytes)
Console: colour VGA+ 80x25
Memory: 4132032k/4154944k available (5671k code, 37520k reserved, 
2306k data, 416k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024 (order: 0, 16384 bytes)
Boot processor id 0x0/0x0
task migration cache decay timeout: 10 msecs.
CPU 1: synchronized ITC with CPU 0 (last diff -1 cycles, maxerr 654 
cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.80 BogoMIPS).
checking if image is initramfs...it isn't (no cpio magic); looks like 
an initrd
Freeing initrd memory: 6432kB freed
NET: Registered protocol family 16
ACPI: Subsystem revision 20050125
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
ACPI: PCI Root Bridge [PCI1] (00:20)
ACPI: PCI Root Bridge [PCI2] (00:40)
ACPI: PCI Root Bridge [PCI4] (00:80)
ACPI: PCI Root Bridge [PCI5] (00:a0)
ACPI: PCI Root Bridge [PCI6] (00:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnPACPI: Alloc type : 6 not handle
pnp: PnPACPI: METHOD_NAME__CRS failure for HWP0001
pnp: PnP ACPI: found 1 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
** PCI interrupts are no longer routed automatically.  If this
** causes a device to stop working, it is probably because the
** driver failed to call pci_enable_device().  As a temporary
** workaround, the "pci=routeirq" argument restores the old
** behavior.  If this argument makes the device work again,
** please email the output of "lspci" to bjorn.helgaas@hp.com
** so I can fix the driver.
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 
bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1108546467.062:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 8612590FB14BF5FA
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
EFI Time Services Driver v0.4
Linux agpgart interface v0.100 (c) Dave Jones
[drm] Initialized drm 1.0.0 20040925
Serial: 8250/16550 driver $Revision: 1.90 $ 32 ports, IRQ sharing 
enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
ttyS0 at MMIO 0x84054000 (irq = 49) is a 16550A
ACPI: PCI interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
CMD649: IDE controller at PCI slot 0000:00:03.0
GSI 21 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI interrupt 0000:00:03.0[A] -> GSI 21 (level, low) -> IRQ 50
CMD649: chipset revision 2
CMD649: 100% native mode on irq 50
    ide0: BM-DMA at 0x0e00-0x0e07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x0e08-0x0e0f, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST DVD+RW GCA-4040N, ATAPI CD/DVD-ROM drive
ide0 at 0xe18-0xe1f,0xe26 on irq 50
hda: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, DMA
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
EFI Variables Facility v0.08 2004-May-17
NET: Registered protocol family 2
IP: routing cache hash table of 65536 buckets, 1024Kbytes
TCP established hash table entries: 2097152 (order: 11, 33554432 
bytes)
TCP bind hash table entries: 65536 (order: 6, 1048576 bytes)
TCP: Hash tables configured (established 2097152 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 416kB freed
Warning: unable to open an initial console.

Comment 4 Dave Jones 2005-10-06 00:32:06 EDT
is this still reproducable with current rawhide ?
Comment 5 John Thacker 2006-05-04 09:16:30 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.